sailpoint.object

## Class ProvisioningResult

- java.lang.Object
- - sailpoint.object.ProvisioningResult

    public class ProvisioningResult
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `STATUS_COMMITTED`
`static java.lang.String` `STATUS_FAILED`
`static java.lang.String` `STATUS_QUEUED`
`static java.lang.String` `STATUS_RETRY`

### Constructor Summary

Constructors
Constructor and Description
`ProvisioningResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceObject` `getObject()`
`java.lang.String` `getStatus()`
`java.lang.String` `getTargetIntegration()`
`void` `setStatus(java.lang.String s)`
`void` `setTargetIntegration(java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATUS_QUEUED

    public static final java.lang.String STATUS_QUEUED

See Also:
  Constant Field Values

#### STATUS_COMMITTED

    public static final java.lang.String STATUS_COMMITTED

See Also:
  Constant Field Values

#### STATUS_FAILED

    public static final java.lang.String STATUS_FAILED

See Also:
  Constant Field Values

#### STATUS_RETRY

    public static final java.lang.String STATUS_RETRY

See Also:
  Constant Field Values

### Constructor Detail

#### ProvisioningResult

    public ProvisioningResult()

### Method Detail

#### getTargetIntegration

    public java.lang.String getTargetIntegration()

#### setTargetIntegration

    public void setTargetIntegration(java.lang.String s)

#### getStatus

    public java.lang.String getStatus()

#### setStatus

    public void setStatus(java.lang.String s)

#### getObject

    public ResourceObject getObject()